"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of an array's elements.
 */
class ArrayLiteralMutator {
    constructor() {
        this.name = 'ArrayLiteral';
    }
    mutate(node, copy) {
        const nodes = [];
        if (types.isArrayExpression(node) && node.elements.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.elements = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = ArrayLiteralMutator;
//# sourceMappingURL=ArrayLiteralMutator.js.map