"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of an array's elements.
 */
class ArrayNewExpressionMutator {
    constructor() {
        this.name = 'ArrayNewExpression';
    }
    mutate(node, copy) {
        const nodes = [];
        if ((types.isCallExpression(node) || types.isNewExpression(node)) &&
            types.isIdentifier(node.callee) &&
            node.callee.name === 'Array' &&
            node.arguments.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.arguments = [];
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = ArrayNewExpressionMutator;
//# sourceMappingURL=ArrayNewExpressionMutator.js.map