"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class BinaryExpressionMutator {
    constructor() {
        this.operators = {
            '!=': '==',
            '!==': '===',
            '%': '*',
            '&&': '||',
            '*': '/',
            '+': '-',
            '-': '+',
            '/': '*',
            '<': ['<=', '>='],
            '<=': ['<', '>'],
            '==': '!=',
            '===': '!==',
            '>': ['>=', '<='],
            '>=': ['>', '<'],
            '||': '&&'
        };
        this.name = 'BinaryExpression';
    }
    mutate(node, clone) {
        if (types.isBinaryExpression(node) || types.isLogicalExpression(node)) {
            let mutatedOperators = this.operators[node.operator];
            if (mutatedOperators) {
                if (typeof mutatedOperators === 'string') {
                    mutatedOperators = [mutatedOperators];
                }
                return mutatedOperators.map(mutatedOperator => {
                    const mutatedNode = clone(node);
                    mutatedNode.operator = mutatedOperator;
                    return mutatedNode;
                });
            }
        }
    }
}
exports.default = BinaryExpressionMutator;
//# sourceMappingURL=BinaryExpressionMutator.js.map