"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a Block.
 */
class BlockMutator {
    constructor() {
        this.name = 'Block';
    }
    mutate(node, copy) {
        if (types.isBlockStatement(node) && node.body.length > 0) {
            const mutatedNode = copy(node);
            mutatedNode.body = [];
            return [mutatedNode];
        }
    }
}
exports.default = BlockMutator;
//# sourceMappingURL=BlockMutator.js.map