"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class BooleanSubstitutionMutator {
    constructor() {
        this.name = 'BooleanSubstitution';
    }
    mutate(node, copy) {
        const nodes = [];
        // true -> false or false -> true
        if (types.isBooleanLiteral(node)) {
            const mutatedNode = copy(node);
            mutatedNode.value = !mutatedNode.value;
            nodes.push(mutatedNode);
        }
        return nodes;
    }
}
exports.default = BooleanSubstitutionMutator;
//# sourceMappingURL=BooleanSubstitutionMutator.js.map