"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
class DoStatementMutator {
    constructor() {
        this.name = 'DoStatement';
    }
    mutate(node) {
        if (types.isDoWhileStatement(node)) {
            return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false)];
        }
    }
}
exports.default = DoStatementMutator;
//# sourceMappingURL=DoStatementMutator.js.map