"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
class IfStatementMutator {
    constructor() {
        this.name = 'IfStatement';
    }
    mutate(node) {
        if (types.isIfStatement(node)) {
            return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false), NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, true)];
        }
    }
}
exports.default = IfStatementMutator;
//# sourceMappingURL=IfStatementMutator.js.map