"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
class PostfixUnaryExpressionMutator {
    constructor() {
        this.name = 'PostfixUnaryExpression';
        this.operators = {
            '++': '--',
            '--': '++'
        };
    }
    mutate(node, copy) {
        if (types.isUpdateExpression(node) && !node.prefix && this.operators[node.operator]) {
            const mutatedNode = copy(node);
            mutatedNode.operator = this.operators[node.operator];
            return [mutatedNode];
        }
    }
}
exports.default = PostfixUnaryExpressionMutator;
//# sourceMappingURL=PostfixUnaryExpressionMutator.js.map