"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
/**
 * Represents a mutator which can remove the content of a switch case clause.
 */
class SwitchCaseMutator {
    constructor() {
        this.name = 'SwitchCase';
    }
    mutate(node, copy) {
        if (types.isSwitchCase(node)) {
            // if not a fallthrough case
            if (node.consequent.length > 0) {
                const mutatedNode = copy(node);
                mutatedNode.consequent = [];
                return [mutatedNode];
            }
        }
    }
}
exports.default = SwitchCaseMutator;
//# sourceMappingURL=SwitchCaseMutator.js.map