"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const types = require("@babel/types");
const NodeGenerator_1 = require("../helpers/NodeGenerator");
/**
 * Represents a mutator which can remove the conditional clause from statements.
 */
class WhileStatementMutator {
    constructor() {
        this.name = 'WhileStatement';
    }
    mutate(node) {
        if (types.isWhileStatement(node)) {
            return [NodeGenerator_1.NodeGenerator.createBooleanLiteralNode(node.test, false)];
        }
    }
}
exports.default = WhileStatementMutator;
//# sourceMappingURL=WhileStatementMutator.js.map